<div class="flex flex-col flex-auto w-full" style="background-color:#F8F8F8;">
  <div class="container flex justify-between">
    <div class="flex items-center cursor-pointer" (click)="back()">
      <mat-icon class="mt-6 mb-6" style="color: #0038FF;">keyboard_arrow_left</mat-icon>
      <span class="mt-6 mb-6 font-Semibold-16" style="color: #0038FF;">Back</span>
    </div>
    <div>
      <mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon>
    </div>
  </div>

  <div id="buyGold" class="font-Semibold-40 font-141461 mt-8 mb-8" style="text-align:center !important;">
    <div>Transfer Gold</div>
  </div>

  <div id="transferGold" class="flex flex-col items-center sm:justify-center min-w-0">
    <div class="w-full mx:auto sm:w-auto py-4 px-4 sm:p-12 shadow bg-card box-width box-padding">
      <div class="w-full max-w-100 sm:w-90 mx-auto sm:mx-0">
        <mat-form-field class="content mb-2" [formGroup]="bgdTransferForm" #bgdTransferNgForm="ngForm"
          hintLabel="Please enter a valid BGD ID" appearance="outline">
          <mat-label>BGD ID</mat-label>
          <input id="accNum" matInput [formControlName]="'accNum'">
          <mat-error
            *ngIf="bgdTransferForm.get('accNum').hasError('required')">
            BGD ID is required
          </mat-error>
          <mat-error
            *ngIf="bgdTransferForm.get('accNum').hasError('invalidAccNum')">
            You are not allowed to transfer to your own account
          </mat-error>
        </mat-form-field>

        <!-- Alert -->
        <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type" [@shake]="alert.type === 'error'"
          class="justify-center">
          {{alert.message}}
        </fuse-alert>

        <mat-form-field class="content mt-2.5" [formGroup]="bgdTransferForm" #bgdTransferNgForm="ngForm"
          appearance="outline">
          <mat-label>Reason for Transfer</mat-label>
          <mat-select matInput [formControlName]="'transferReason'">
            <mat-option value="Gift">Gift</mat-option>
            <mat-option value="Charity">Charity</mat-option>
            <mat-option value="Fund">Fund</mat-option>
          </mat-select>
        </mat-form-field>
        <br>

        <button class="fuse-mat-button-large w-full mt-3 button-r5" 
          mat-flat-button [color]="'primary'"
          [disabled]="bgdTransferForm.get('transferReason').invalid || bgdTransferForm.get('accNum').invalid || disableButton"
          (click)="nextBtn()">
          Continue
        </button>
      </div>
    </div>
  </div>
</div>